> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contractor Payment

> Update fields on an existing, pending contractor payment in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json patch /contractorPayment
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractorPayment:
    patch:
      summary: Update Contractor Payment
      operationId: update-contractor-payment
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - contractorPaymentID
              properties:
                companyID:
                  type: string
                  description: companyID of the company
                contractorPaymentID:
                  type: string
                  description: ID of the contractor payment to be updated
                contractorID:
                  type: string
                  description: ID of the contractor
                approval_required:
                  type: boolean
                  description: >-
                    Boolean determining if approval is required for a contractor
                    payment
                approved:
                  type: boolean
                  description: Boolean determining if contractor payment is approved or not
                pay_date:
                  type: string
                  description: Pay date of the contractor payment
                  format: date
                amount:
                  type: integer
                  description: Pay amount of the contractor payment
                  format: int32
                disbursement:
                  type: object
                  description: Disbursement pay object
                  required:
                    - method
                  properties:
                    method:
                      type: string
                      description: >-
                        The method of disbursement. There are 6 options:
                        `direct_deposit` (Zeal will make a direct deposit to the
                        contractor's bank account using Next Day ACH),
                        `direct_deposit_same_day` (Zeal will make a direct
                        deposit to the contractor's bank account using Same Day
                        ACH), `physical_check` (Zeal will send a physical check
                        to the employee's home address on file), `prepaid` (Zeal
                        will *not* disburse the net pay), `paycard` (Zeal will
                        instantly transfer funds to the existing paycard), and
                        `instant_pay` (Zeal will send funds to the existing
                        worker's Instant Pay wallet)
                      enum:
                        - direct_deposit
                        - direct_deposit_same_day
                        - physical_check
                        - prepaid
                        - paycard
                type:
                  type: string
                  description: >-
                    Type of payment. Only `regular` payments are reported on a
                    contractor's Form 1099-NEC.
                  enum:
                    - regular
                    - reimbursement
                metadata:
                  type: object
                  description: Custom metadata object
                  properties: {}
                customerAccountID:
                  type: string
                  description: ID of Customer Account associated with Contractor Payment
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      contractorPaymentID: 6sd3382d4232390024d3f627
                      disbursement:
                        method: direct_deposit
                      status: pending
                      approval_required: true
                      approved: true
                      contractorID: 6283dqqe2391cc2a00257e2342
                      companyID: fc2323ccbae46aa8a083347715bcfa
                      first_name: Erlich
                      last_name: Bachman
                      amount: 200
                      pay_date: '2023-07-22'
                      triggered: false
                      triggered_at: null
                      customerAccountID: null
                      metadata:
                        example: example
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      contractorPaymentID:
                        type: string
                        example: 6sd3382d4232390024d3f627
                      disbursement:
                        type: object
                        properties:
                          method:
                            type: string
                            example: direct_deposit
                      status:
                        type: string
                        example: pending
                      approval_required:
                        type: boolean
                        example: true
                        default: true
                      approved:
                        type: boolean
                        example: true
                        default: true
                      contractorID:
                        type: string
                        example: 6283dqqe2391cc2a00257e2342
                      companyID:
                        type: string
                        example: fc2323ccbae46aa8a083347715bcfa
                      first_name:
                        type: string
                        example: Erlich
                      last_name:
                        type: string
                        example: Bachman
                      amount:
                        type: integer
                        example: 200
                        default: 0
                      pay_date:
                        type: string
                        example: '2023-07-22'
                      triggered:
                        type: boolean
                        example: false
                        default: true
                      triggered_at:
                        path: /orders-4
                      customerAccountID:
                        path: /orders-4
                      metadata:
                        type: object
                        properties:
                          example:
                            type: string
                            example: example
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Contractor Payment with this payment ID does not exist
                        code: 46
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Contractor Payment with this payment ID does not
                            exist
                        code:
                          type: integer
                          example: 46
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````